<template>
  <div style="margin: 3rem">
    <div style="margin:10rem 6rem 3rem 6rem">
      <div class="titleMenuPrincipal" >
        SOPORTE DE MATERIALES
      </div>
      <el-row style >
        <el-col :span="8" style="display: flex; justify-content: center;">
          <img @click="changeView('recordOfDiscs')" class="pointer"  src="@/assets/images/registro-de-discos.svg">
        </el-col>
        <el-col :span="8" style="display: flex; justify-content: center;">      
          <img @click="changeView('cannedMaterials')" class="pointer"  src="@/assets/images/materiales-enlatados.svg">
        </el-col>
        <el-col :span="8" style="display: flex; justify-content: center;">    
          <img @click="changeView('afiliaciones')" class="pointer"  src="@/assets/images/afiliaciones.svg">
        </el-col>
      </el-row>

       <el-row style="margin-top: 4rem">
          <el-col :span="8" style="display: flex; justify-content: center;">
          <img @click="getPage('tipoDeMaterialNacional')" class="pointer"  src="@/assets/images/produccion-nacional.svg">
          </el-col>
          <el-col :span="8" style="display: flex; justify-content: center;">     
            <img @click="getPage('typeFusion')" class="pointer"  src="@/assets/images/fusion-gourmet.svg">
          </el-col>
          <!-- <el-col :span="8" style="display: flex; justify-content: center;">     
            <img @click="getPage()" class="pointer"  src="@/assets/images/Otros.svg">
          </el-col> -->
      </el-row>
    </div>  
  </div>
</template>

<script>  
import ReturnButton from '@/components/ReturnButton.vue'
export default {
  components: {
    ReturnButton
  },
  data () {
    return {
    }
  },

  methods: {
    changeView(itemSelected) {
      this.$router.push({name: itemSelected})
    },
    getPage(value) {
      if(value) {
        this.$router.push({ name: value})
      }
    }
  }
}
</script>
